View Issue Details

IDProjectCategoryView StatusLast Update
0029413mantisbtcustom fieldspublic2022-01-05 14:50
Reportermuzicar88 Assigned Todregad  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntu serverOS Version20.04
Product Version2.2.3 
Target Version2.25.3Fixed in Version2.25.3 
Summary0029413: APPLICATION ERROR 1300 Custom field not found with case-sensitive database
Description

Hi,

We have a rather interesting issue. The error is the same as in https://www.mantisbt.org/bugs/view.php?id=28515 but as far as I can see I do not see any problems in regards to the mantis_custom_field_project_table and mantis_custom_field_table - I checked one project that has 6 fields and all 6 have correct field_id values - they match in both tables. We get this "APPLICATION ERROR 1300 Custom field not found" in roughly half of our projects (we have 71 projects) while others work fine.

The main issue is that because of this certain projects cannot use Export to CSV function which is crucial for us as we do billing based on that export.

This started happening after we upgraded from 2.2.2 to 2.25.2 - everything worked great in 1.3 and 2.2.2 . There were no other upgrades apart from the mantisbt upgrade and the upgrade itself encountered no errors - everything green and all "good". The interesting thing is that when I reverted to 2.2.2 (VM snapshot) and went to 2.3.3 the same problem arose so it for sure isnt connected to the 2.23 and 2.25 schema upgrades. The upgrades were done according to the admin docs.

  • Exact version of MantisBT, PHP, Database, Web server, Browser and Operating System -> latest 2.25.2 version on Ubuntu server 20.04, PHP 7.4.3, mysql 5.7.34 with apache2 (2.4.41) and the schema version is 211. Tried Firefox, Chrome and Edge.

  • Relevant customizations (e.g. changes in config_inc.php, etc) -> nothing out of the ordinary (db, mail, log config and bug threshold)

  • Installed plugins or custom functions ? -> one plugin for CSS customization and one internal plugin that creates gitlab issues automatically (this plugin uses its own 2 tables - mantis_plugin_GitLabIntegration_issue_config_table and mantis_plugin_GitLabIntegration_project_config_table)

  • Was the MantisBT source code modified in any way ? -> no

So bottom line - 2.2.2 works great anything above that does not. Starting with 2.3 this problem persists all the way to 2.25.2 (I tried some random version in between - same errors). Any idea would be greatly appreciated as we are nearing the end of the month and would need the export funcition to start working.

Happy holidays and stay safe!

Steps To Reproduce
  1. Set custom_field.name column to binary collation
    ALTER TABLE mantis_custom_field_table CHANGE name name VARCHAR(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL; 
  2. Define a custom field with Mixed case, e.g. FieldName
  3. Go to manage_config_columns_page.php and add custom_fieldname (lowercase)
  4. Save changes and get error 1300
TagsNo tags attached.

Relationships

related to 0028515 closeddregad APPLICATION ERROR 0001300 Custom field not found. 
related to 0022555 closedcproensa Regression in custom field sorting 
related to 0029453 new When copying versions from a project to another an SQL error can happen 

Activities

muzicar88

muzicar88

2021-12-22 17:28

reporter   ~0066096

Last edited: 2021-12-22 19:28

Just an FYI - I dumped the DB from the 2.25.2 instance and restored it on a cloned 2.2.2 and everything works. Database schema is 211 (so the 2.25.2 one) but I can normally export and use the "Manage Columns" page. So in this regard we are partially saved as I can just dump and restore each time we need to export the projects that have this error but I would definetly rather solve this as Id like to keep us up-to-date and would like to avoid any further problems.

dregad

dregad

2021-12-23 04:12

developer   ~0066097

Since the problem is most likely specific to your data, configuration and/or customization, it will be difficult for us to replicate the problem.

Did you try disabling your plugins to ensure they are not causing this ?

Looking at Git log between 2.2.2 and 2.3.0 (git log release-2.2.2..release-2.3.0 --grep custom -i), I see a few entries related to custom fields, e.g. MantisBT master-2.2 c612d8da but there were also important back-end changes that may have introduced regression issues.

Since you did not provide a full error trace, I am not sure exactly where to look. Can you

  1. temporarily configure your system as follows:
    $g_show_detailed_errors = ON;

WARNING - SECURITY RISK: the 'show_detailed_errors' config can cause MantisBT to display sensitive information about your system. We recommend to restrict its activation to a Test environment, only for as long as necessary. If possible, do not turn it ON globally, instead limit it for specific user(s) using the Manage Configuration page.

  1. Reproduce the error

If the output does not help you resolving the issue and you need further assistance,

  1. save the output of the error screen, preferably as an HTML page (not a screenshot !)
  2. be careful to remove/mask any confidential information if needed
  3. upload the results here

Also considering you seem to have a consistently reproducible case, it would be great if you could use git bisect to precisely identify the offending commit. If not, please confirm if the problem occurs with 2.2.3

muzicar88

muzicar88

2021-12-23 04:44

reporter   ~0066101

Thanks for the quick reply.

Stack trace from 2.25.2 attached - the error was reproduced with only plugin MantisBT Core 2.25.2 enabled.
Stack trace from 2.2.3 attached - the error was reproduced with only plugin MantisBT Core 2.2.3 enabled.

The problem occurs on 2.2.3 as well so 2.2.2 looks to really be the last one that works.

Manage_Columns_2_2_3_error_1300.htm (40,593 bytes)   
<!DOCTYPE html>
<html><head>
	<meta http-equiv="Content-type" content="text/html; charset=UTF-8">
	<title>Manage Columns</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/default.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/common_config.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/status_config.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/dropzone-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/bootstrap-3.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/font-awesome-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/open-sans.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/bootstrap-datetimepicker-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/ace.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/ace-mantis.css">
<!--[if lte IE 9]>	<link rel="stylesheet" type="text/css" href="http://10.246.30.14/css/ace-part2.min.css" />
<![endif]-->	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_2_3_error_1300_files/ace-skins.css">
<!--[if lte IE 9]>	<link rel="stylesheet" type="text/css" href="http://10.246.30.14/css/ace-ie.min.css" />
<![endif]-->
	<link rel="shortcut icon" href="http://10.246.30.14/images/favicon.ico" type="image/x-icon">
	<link rel="search" type="application/opensearchdescription+xml" title=": full-text search" href="http://10.246.30.14/browser_search_plugin.php?type=text">
	<link rel="search" type="application/opensearchdescription+xml" title=": search by Issue Id" href="http://10.246.30.14/browser_search_plugin.php?type=id">
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/javascript_config.php"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/javascript_translations.php"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/jquery-2.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/dropzone-4.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/common.js"></script>

</head>
<body class="skin-3">
<div id="navbar" class="navbar navbar-default navbar-collapse navbar-fixed-top noprint"><div id="navbar-container" class="navbar-container"><button id="menu-toggler" type="button" class="navbar-toggle menu-toggler pull-left hidden-lg" data-target="#sidebar"><span class="sr-only">Toggle sidebar</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span></button><div class="navbar-header"><a href="http://10.246.30.14/my_view_page.php" class="navbar-brand"><span class="smaller-75">  </span></a><button type="button" class="navbar-toggle navbar-toggle collapsed pull-right hidden-sm hidden-md hidden-lg" data-toggle="collapse" data-target=".navbar-buttons,.navbar-menu"><span class="sr-only">Toggle user menu</span><i class="ace-icon fa fa-user fa-2x white"></i> </button></div><div class="navbar-buttons navbar-header navbar-collapse collapse"><ul class="nav ace-nav"><li class="hidden-sm hidden-xs"><div class="btn-group btn-corner padding-right-8 padding-left-8"><a class="btn btn-primary btn-sm" href="http://10.246.30.14/bug_report_page.php"><i class="fa fa-edit"></i> Report Issue</a><a class="btn btn-primary btn-sm" href="http://10.246.30.14/manage_user_create_page.php"><i class="fa fa-user-plus"></i> Invite Users</a></div></li><li class="grey">
<a data-toggle="dropdown" href="#" class="dropdown-toggle">
&nbsp;Cadastru-MOLDLIS&nbsp;
 <i class="ace-icon fa fa-angle-down bigger-110"></i>
</a>
<ul class="dropdown-menu dropdown-menu-right dropdown-yellow dropdown-caret dropdown-close scrollable-menu">
<li><a href="http://10.246.30.14/set_project.php?project_id=0"> All Projects </a></li> 
<li class="divider"></li>
<li><div id="projects-list"><div class="projects-searchbox"><input class="search form-control input-md" placeholder="Search"></div><ul class="list dropdown-yellow no-margin"><li><a href="http://10.246.30.14/set_project.php?project_id=55" class="project-link"> AFRC-LPIS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=79" class="project-link"> AKTRP-ImageServer </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=35" class="project-link"> APPRRR-Maintenance </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=12" class="project-link"> APPRRR-Upgrade </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=13" class="project-link"> ARSO-EmisijskeEvidence </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=33" class="project-link"> ARSO-Vode </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=80" class="project-link"> Airbus-LAVIMS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=71" class="project-link"> CLAAS-CropView </a></li><li class="active"><a href="http://10.246.30.14/set_project.php?project_id=41" selected="selected" class="project-link"> Cadastru-MOLDLIS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;42" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Auxiliary modules</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;42;52" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-BusinessCad Integration</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;42;53" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Document management</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;42;57" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Inventory integration</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;44" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Graphical Database</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;43" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Legal Register of Rights</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;45" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Valuation Register</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=41;51" class="project-link"> &nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-WebPortal</a></li><li><a href="http://10.246.30.14/set_project.php?project_id=74" class="project-link"> GURS - EV </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=5" class="project-link"> GURS - Geodetske tocke </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=27" class="project-link"> GURS-ETN3 </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=36" class="project-link"> GURS-WebEditor_Bonitete </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=16" class="project-link"> LAVIMS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=40" class="project-link"> MAFWE-LPIS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=62" class="project-link"> MAFWE-LPIS_Upgrade-2017 </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=49" class="project-link"> MARD-Farm_Registry </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=81" class="project-link"> MARD-GSAA </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=63" class="project-link"> MARD-LPIS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=59" class="project-link"> MKGP_RKG-2017-2021 </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=82" class="project-link"> MKGP_RKG-2021-2023 </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=61" class="project-link"> MKGP_RPGV-2017-2021 </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=83" class="project-link"> MKGP_RPGV-2021-2023 </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=77" class="project-link"> SCPI-LCMS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=20" class="project-link"> TestProject </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=25" class="project-link"> UVH-WebGIS </a></li><li><a href="http://10.246.30.14/set_project.php?project_id=84" class="project-link"> test_import </a></li></ul></div></li></ul>
</li>
<li class="grey"><a data-toggle="dropdown" href="#" class="dropdown-toggle"><i class="ace-icon fa fa-user fa-2x white"></i> <span class="user-info">administrator</span><i class="ace-icon fa fa-angle-down"></i></a><ul class="user-menu dropdown-menu dropdown-menu-right dropdown-yellow dropdown-caret dropdown-close"><li><a href="http://10.246.30.14/account_page.php"><i class="ace-icon fa fa-user"> </i> My Account</a></li><li><a href="http://10.246.30.14/issues_rss.php?username=administrator&amp;key=LZ9lcrM-s_FBROtTco2BYHFYg-ku8y5VIXp2RPnYSOV2xfwMmygVk7am1fawlDsn5FPxYX5r3luJpTv05yNc&amp;project_id=41"><i class="ace-icon fa fa-rss-square orange"> </i> RSS</a></li><li class="divider"></li><li><a href="http://10.246.30.14/logout_page.php"><i class="ace-icon fa fa-sign-out"> </i> Logout</a></li></ul></li></ul></div></div></div><div class="main-container" id="main-container" style="padding-top: 45px;">
<div id="sidebar" class="sidebar sidebar-fixed responsive compact "><ul class="nav nav-list"><li>
<a href="http://10.246.30.14/my_view_page.php">
<i class="menu-icon fa fa-dashboard"></i> 
<span class="menu-text"> My View </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/view_all_bug_page.php">
<i class="menu-icon fa fa-list-alt"></i> 
<span class="menu-text"> View Issues </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/bug_report_page.php">
<i class="menu-icon fa fa-edit"></i> 
<span class="menu-text"> Report Issue </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/changelog_page.php">
<i class="menu-icon fa fa-retweet"></i> 
<span class="menu-text"> Change Log </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/roadmap_page.php">
<i class="menu-icon fa fa-road"></i> 
<span class="menu-text"> Roadmap </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/summary_page.php">
<i class="menu-icon fa fa-bar-chart-o"></i> 
<span class="menu-text"> Summary </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/manage_overview_page.php">
<i class="menu-icon fa fa-gears"></i> 
<span class="menu-text"> Manage </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/billing_page.php">
<i class="menu-icon fa fa-clock-o"></i> 
<span class="menu-text"> Time Tracking </span>
</a>
<b class="arrow"></b>
</li>
</ul><div id="sidebar" class="sidebar-toggle sidebar-collapse"><i data-icon2="ace-icon fa fa-angle-double-right" data-icon1="ace-icon fa fa-angle-double-left" class="ace-icon fa fa-angle-double-left"></i></div></div><div class="main-content">
<div id="breadcrumbs" class="breadcrumbs noprint">
<ul class="breadcrumb">
  <li><i class="fa fa-user home-icon active"></i>  <a href="http://10.246.30.14/account_page.php">administrator ( admin ) </a>
  <span class="label hidden-xs label-default arrowed">administrator</span></li>
</ul>
<div id="nav-search" class="nav-search"><form class="form-search" method="post" action="/jump_to_bug.php"><span class="input-icon"><input type="text" name="bug_id" autocomplete="off" class="nav-search-input" placeholder="Issue #"><i class="ace-icon fa fa-search nav-search-icon"></i></span></form></div>
</div>
  <div class="page-content">
<div class="row">
<div class="col-md-12 col-xs-12"><div class="space-20"></div><div class="alert alert-danger"><p class="bold">APPLICATION ERROR #1300</p><p>Custom field not found.</p><div class="error-info">Please
 use the "Back" button in your web browser to return to the previous 
page. There you can correct whatever problems were identified in this 
error or select another action. You can also click an option from the 
menu bar to go directly to a new section.</div><p>		</p><table class="width-100">
			<tbody><tr>
				<td>Full path: /var/www/mantisbt-2.2.3/core/custom_field_api.php</td>
			</tr>
			<tr>
				<td>Line: 117</td>
			</tr>
			<tr>
				<td>
					<table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">p_field_id</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">boolean</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">p_trigger_errors</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">boolean</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">c_field_id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">integer</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">t_cf_row</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">boolean</td></tr>
<tr><td colspan="3" style="word-wrap:break-word"><br><strong>g_cache_custom_field</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">0</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">boolean</td></tr>
<tr><td colspan="3" style="word-wrap:break-word"><br><strong>6</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">6</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">name</td><td style="width=70%; word-wrap:break-word; overflow:auto;">Entry type</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">type</td><td style="width=70%; word-wrap:break-word; overflow:auto;">6</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">possible_values</td><td style="width=70%; word-wrap:break-word; overflow:auto;">Error|Feature request|Upgrade|Question|Data input|Support|GIS Support|Database Administration</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">default_value</td><td style="width=70%; word-wrap:break-word; overflow:auto;">Error</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">valid_regexp</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_r</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_rw</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_min</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_max</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">filter_by</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
</tbody></table></td></tr><tr><td colspan="3" style="word-wrap:break-word"><br><strong>15</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">15</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">name</td><td style="width=70%; word-wrap:break-word; overflow:auto;">priority1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">type</td><td style="width=70%; word-wrap:break-word; overflow:auto;">6</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">possible_values</td><td style="width=70%; word-wrap:break-word; overflow:auto;">Low|Medium|High|Urgent</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">default_value</td><td style="width=70%; word-wrap:break-word; overflow:auto;">Medium</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">valid_regexp</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_r</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_rw</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_min</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_max</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">filter_by</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
</tbody></table></td></tr><tr><td colspan="3" style="word-wrap:break-word"><br><strong>25</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">25</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">name</td><td style="width=70%; word-wrap:break-word; overflow:auto;">severity cadastru</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">type</td><td style="width=70%; word-wrap:break-word; overflow:auto;">9</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">possible_values</td><td style="width=70%; word-wrap:break-word; overflow:auto;">A - trivial|B - minor|C - major|D - blocking</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">default_value</td><td style="width=70%; word-wrap:break-word; overflow:auto;">B - minor</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">valid_regexp</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_r</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_rw</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_min</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_max</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">filter_by</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
</tbody></table></td></tr><tr><td colspan="3" style="word-wrap:break-word"><br><strong>26</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">26</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">name</td><td style="width=70%; word-wrap:break-word; overflow:auto;">severity sinergise</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">type</td><td style="width=70%; word-wrap:break-word; overflow:auto;">9</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">possible_values</td><td style="width=70%; word-wrap:break-word; overflow:auto;">A - trivial|B - minor|C - major|D - blocking</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">default_value</td><td style="width=70%; word-wrap:break-word; overflow:auto;">B - minor</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">valid_regexp</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_r</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_rw</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_min</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_max</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">filter_by</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
</tbody></table></td></tr><tr><td colspan="3" style="word-wrap:break-word"><br><strong>27</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">27</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">name</td><td style="width=70%; word-wrap:break-word; overflow:auto;">critical</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">type</td><td style="width=70%; word-wrap:break-word; overflow:auto;">9</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">possible_values</td><td style="width=70%; word-wrap:break-word; overflow:auto;">n/a|critical|non-critical|disagreement</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">default_value</td><td style="width=70%; word-wrap:break-word; overflow:auto;">n/a</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">valid_regexp</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_r</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_rw</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_min</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_max</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">filter_by</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
</tbody></table></td></tr><tr><td colspan="3" style="word-wrap:break-word"><br><strong>28</strong></td></tr><tr><td colspan="3"><table class="width100" style="table-layout:fixed;"><tbody><tr><th>Variable</th><th>Value</th><th>Type</th></tr><tr><td style="width=20%; word-wrap:break-word; overflow:auto;">id</td><td style="width=70%; word-wrap:break-word; overflow:auto;">28</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">name</td><td style="width=70%; word-wrap:break-word; overflow:auto;">out of scope</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">type</td><td style="width=70%; word-wrap:break-word; overflow:auto;">9</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">possible_values</td><td style="width=70%; word-wrap:break-word; overflow:auto;">n/a|in scope|out of scope|out-of-scope disagreement</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">default_value</td><td style="width=70%; word-wrap:break-word; overflow:auto;">n/a</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">valid_regexp</td><td style="width=70%; word-wrap:break-word; overflow:auto;"></td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_r</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">access_level_rw</td><td style="width=70%; word-wrap:break-word; overflow:auto;">10</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_min</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">length_max</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_report</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_update</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_resolved</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">display_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">require_closed</td><td style="width=70%; word-wrap:break-word; overflow:auto;">0</td><td style="width=10%;">string</td></tr>
<tr><td style="width=20%; word-wrap:break-word; overflow:auto;">filter_by</td><td style="width=70%; word-wrap:break-word; overflow:auto;">1</td><td style="width=10%;">string</td></tr>
</tbody></table></td></tr></tbody></table></td></tr></tbody></table>				</td>
			</tr>
		</tbody></table>
<p></p><p></p><div class="table-responsive"><table class="table table-bordered table-striped table-condensed"><tbody><tr><th>Filename</th><th>Line</th><th></th><th></th><th>Function</th><th>Args</th></tr><tr><td>/var/www/mantisbt-2.2.3/core/custom_field_api.php</td><td>117</td><td>-</td><td>-</td><td>trigger_error</td><td>( &lt;string&gt;'1300', &lt;integer&gt;256 )</td></tr><tr><td>/var/www/mantisbt-2.2.3/core/custom_field_api.php</td><td>882</td><td>-</td><td>-</td><td>custom_field_cache_row</td><td>( &lt;boolean&gt;false )</td></tr><tr><td>/var/www/mantisbt-2.2.3/core/columns_api.php</td><td>359</td><td>-</td><td>-</td><td>custom_field_get_definition</td><td>( &lt;boolean&gt;false )</td></tr><tr><td>/var/www/mantisbt-2.2.3/core/helper_api.php</td><td>513</td><td>-</td><td>-</td><td>column_get_custom_field_column_name</td><td>( &lt;boolean&gt;false )</td></tr><tr><td>/var/www/mantisbt-2.2.3/manage_columns_inc.php</td><td>68</td><td>-</td><td>-</td><td>helper_get_columns_to_view</td><td>( &lt;integer&gt;3, &lt;boolean&gt;false, &lt;integer&gt;0 )</td></tr><tr><td>/var/www/mantisbt-2.2.3/manage_config_columns_page.php</td><td>51</td><td>-</td><td>-</td><td>include</td><td>( &lt;string&gt;'/var/www/mantisbt-2.2.3/manage_columns_inc.php' )</td></tr></tbody></table><p></p></div></div></div>
</div>
</div>
<div class="clearfix"></div>
<div class="space-20"></div>
<div class="footer noprint">
<div class="footer-inner">
<div class="footer-content">
<div class="col-md-6 col-xs-12 no-padding">
<address>
<strong>Powered by <a href="https://www.mantisbt.org/" title="bug tracking software">MantisBT </a></strong> <br>
<small>Copyright © 2000 - 2021 MantisBT Team</small><br><small>Contact <a href="mailto:webmaster@example.com" title="Contact the webmaster via e-mail.">administrator</a> for assistance</small><br>
</address>
</div>
<div class="col-md-6 col-xs-12">
<div class="pull-right" id="powered-by-mantisbt-logo">
<a href="https://www.mantisbt.org/" title="Mantis Bug Tracker: a free and open source web based bug tracking system."><img src="Manage_Columns_2_2_3_error_1300_files/mantis_logo.png" alt="Powered by Mantis Bug Tracker: a free and open source web based bug tracking system." width="102" height="35"></a>
</div>
</div>
</div>
</div>
</div>
<a class="btn-scroll-up btn btn-sm btn-inverse" id="btn-scroll-up" href="#">
<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
</a>
</div>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/bootstrap-3.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/moment-with-locales-2.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/bootstrap-datetimepicker-4.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/typeahead.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/list-1.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_2_3_error_1300_files/ace.js"></script>


</div><style></style></body></html>
Manage_Columns_2_25_2_error_1300.htm (15,953 bytes)   
<!DOCTYPE html>
<html><head>
	<meta http-equiv="Content-type" content="text/html; charset=UTF-8">
	<title>Manage Columns</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/default.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/status_config.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/dropzone-5.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/bootstrap-3.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/font-awesome-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/fonts.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/bootstrap-datetimepicker-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/ace.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/ace-mantis.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_error_1300_files/ace-skins.css">

	<link rel="shortcut icon" href="http://10.246.30.14/images/favicon.ico" type="image/x-icon">
	<link rel="search" type="application/opensearchdescription+xml" title=": full-text search" href="http://10.246.30.14/browser_search_plugin.php?type=text">
	<link rel="search" type="application/opensearchdescription+xml" title=": search by Issue Id" href="http://10.246.30.14/browser_search_plugin.php?type=id">
	<script type="text/javascript" src="Manage_Columns_error_1300_files/javascript_config.php"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/javascript_translations.php"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/jquery-2.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/dropzone-5.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/common.js"></script>

</head>
<body class="skin-3">
<style>
* { font-family: "Open Sans"; } 
h1, h2, h3, h4, h5 { font-family: "Open Sans"; } 
</style>
<div id="navbar" class="navbar navbar-default navbar-collapse navbar-fixed-top noprint"><div id="navbar-container" class="navbar-container"><button id="menu-toggler" type="button" class="navbar-toggle menu-toggler pull-left hidden-lg hidden-md" data-target="#sidebar"><span class="sr-only">Toggle sidebar</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span></button><div class="navbar-header"><a href="http://10.246.30.14/my_view_page.php" class="navbar-brand"><span class="smaller-75">  </span></a><button type="button" class="navbar-toggle navbar-toggle collapsed pull-right hidden-sm hidden-md hidden-lg" data-toggle="collapse" data-target=".navbar-buttons,.navbar-menu"><span class="sr-only">Toggle user menu</span><i class="fa fa-user ace-icon fa-2x white"></i> </button></div><div class="navbar-buttons navbar-header navbar-collapse collapse"><ul class="nav ace-nav"><li class="hidden-sm hidden-xs"><div class="btn-group btn-corner padding-right-8 padding-left-8"><a class="btn btn-primary btn-sm" href="http://10.246.30.14/bug_report_page.php"><i class="fa fa-edit "></i> Report Issue</a><a class="btn btn-primary btn-sm" href="http://10.246.30.14/manage_user_create_page.php"><i class="fa fa-user-plus "></i> Invite Users</a></div></li>
<li class="grey" id="dropdown_projects_menu">
<a data-toggle="dropdown" href="#" class="dropdown-toggle">
&nbsp;Cadastru-MOLDLIS&nbsp;
<i class="fa fa-angle-down ace-icon bigger-110"></i>
</a>
<ul id="projects-list" class=" dropdown-menu dropdown-menu-right dropdown-yellow dropdown-caret dropdown-close">
<li><div class="projects-searchbox"><input class="search form-control input-md" placeholder="Search"></div></li>
<li class="divider"></li>
<li><div class="scrollable-menu">
<ul class="list dropdown-yellow no-margin"><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=0">All Projects</a></li><li class="divider"></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=55">AFRC-LPIS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=79">AKTRP-ImageServer</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=35">APPRRR-Maintenance</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=12">APPRRR-Upgrade</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=13">ARSO-EmisijskeEvidence</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=33">ARSO-Vode</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=80">Airbus-LAVIMS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=71">CLAAS-CropView</a></li><li class="active"><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41">Cadastru-MOLDLIS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;42">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Auxiliary modules</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;42;52">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-BusinessCad Integration</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;42;53">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Document management</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;42;57">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Inventory integration</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;44">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Graphical Database</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;43">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Legal Register of Rights</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;45">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-Valuation Register</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=41;51">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cadastru-MOLDLIS-WebPortal</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=74">GURS - EV</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=5">GURS - Geodetske tocke</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=27">GURS-ETN3</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=36">GURS-WebEditor_Bonitete</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=16">LAVIMS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=40">MAFWE-LPIS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=62">MAFWE-LPIS_Upgrade-2017</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=49">MARD-Farm_Registry</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=81">MARD-GSAA</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=63">MARD-LPIS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=59">MKGP_RKG-2017-2021</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=82">MKGP_RKG-2021-2023</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=61">MKGP_RPGV-2017-2021</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=83">MKGP_RPGV-2021-2023</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=77">SCPI-LCMS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=20">TestProject</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=25">UVH-WebGIS</a></li><li><a class="project-link" href="http://10.246.30.14/set_project.php?project_id=84">test_import</a></li></ul>
</div>
</li>
</ul>
</li>
<li class="grey"><a data-toggle="dropdown" href="#" class="dropdown-toggle"><i class="fa fa-user ace-icon fa-2x white"></i> <span class="user-info">administrator</span><i class="fa fa-angle-down ace-icon"></i></a><ul class="user-menu dropdown-menu dropdown-menu-right dropdown-yellow dropdown-caret dropdown-close"><li><a href="http://10.246.30.14/account_page.php"><i class="fa fa-user ace-icon"></i> My Account</a></li><li><a href="http://10.246.30.14/issues_rss.php?username=administrator&amp;key=LZ9lcrM-s_FBROtTco2BYHFYg-ku8y5VIXp2RPnYSOV2xfwMmygVk7am1fawlDsn5FPxYX5r3luJpTv05yNc&amp;project_id=41"><i class="fa fa-rss-square orange ace-icon"></i> RSS</a></li><li class="divider"></li><li><a href="http://10.246.30.14/logout_page.php"><i class="fa fa-sign-out ace-icon"></i> Logout</a></li></ul></li></ul></div></div></div><div class="main-container" id="main-container" style="padding-top: 45px;">
<div id="sidebar" class="sidebar sidebar-fixed responsive compact "><ul class="nav nav-list"><li>
<a href="http://10.246.30.14/my_view_page.php">
<i class="fa fa-dashboard menu-icon"></i>
<span class="menu-text"> My View </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/view_all_bug_page.php">
<i class="fa fa-list-alt menu-icon"></i>
<span class="menu-text"> View Issues </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/bug_report_page.php">
<i class="fa fa-edit menu-icon"></i>
<span class="menu-text"> Report Issue </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/changelog_page.php">
<i class="fa fa-retweet menu-icon"></i>
<span class="menu-text"> Change Log </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/roadmap_page.php">
<i class="fa fa-road menu-icon"></i>
<span class="menu-text"> Roadmap </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/summary_page.php">
<i class="fa fa-bar-chart-o menu-icon"></i>
<span class="menu-text"> Summary </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/manage_overview_page.php">
<i class="fa fa-gears menu-icon"></i>
<span class="menu-text"> Manage </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.14/billing_page.php">
<i class="fa fa-clock-o menu-icon"></i>
<span class="menu-text"> Time Tracking </span>
</a>
<b class="arrow"></b>
</li>
</ul><div id="sidebar-btn" class="sidebar-toggle sidebar-collapse"><i data-icon2="ace-icon fa fa-angle-double-right" data-icon1="ace-icon fa fa-angle-double-left" class="ace-icon fa fa-angle-double-left"></i></div></div><div class="main-content">
<div id="breadcrumbs" class="breadcrumbs noprint">
<ul class="breadcrumb">
  <li><i class="fa fa-user home-icon active"></i>  <a href="http://10.246.30.14/account_page.php">administrator ( admin ) </a>
  <span class="label hidden-xs label-default arrowed">administrator</span></li>
</ul>
<div id="nav-search" class="nav-search"><form class="form-search" method="post" action="/jump_to_bug.php"><span class="input-icon"><input type="text" name="bug_id" autocomplete="off" class="nav-search-input" placeholder="Issue #"><i class="fa fa-search ace-icon nav-search-icon"></i></span></form></div>
</div>
  <div class="page-content">
<div class="row">
<div class="col-md-12 col-xs-12"><div class="space-20"></div>
<div class="alert alert-danger">
<p class="bold">APPLICATION ERROR #1300</p>
<p>Custom field not found.</p>
<div class="error-info">Please use the "Back" button in your web browser
 to return to the previous page. There you can correct whatever problems
 were identified in this error or select another action. You can also 
click an option from the menu bar to go directly to a new section.</div>
	<div class="error-details">
		<hr>
		<h2>Detailed error information</h2>
		<ul>
			<li>Full path:
				<span class="code">
					/var/www/mantisbt-2.25.2/core/custom_field_api.php				</span>
			</li>
			<li>Line number:
				<span class="code">122</span>
			</li>
		</ul>
	</div>
	<h3>Stack trace</h3>
		<div class="table-responsive">
			<table class="table table-bordered table-striped table-condensed">
				<tbody><tr>
					<th>#</th>
					<th>Filename</th>
					<th>Line</th>
					<th>Class</th>
					<th>Type</th>
					<th>Function</th>
					<th>Args</th>
				</tr>
<tr>
<td>0</td>
<td>/var/www/mantisbt-2.25.2/core/custom_field_api.php</td>
<td>122</td>
<td>-</td>
<td>-</td>
<td>trigger_error</td>
<td>&lt;string&gt;'1300', &lt;integer&gt;256</td>
</tr>
<tr>
<td>1</td>
<td>/var/www/mantisbt-2.25.2/core/custom_field_api.php</td>
<td>924</td>
<td>-</td>
<td>-</td>
<td>custom_field_cache_row</td>
<td>&lt;boolean&gt;false</td>
</tr>
<tr>
<td>2</td>
<td>/var/www/mantisbt-2.25.2/core/columns_api.php</td>
<td>359</td>
<td>-</td>
<td>-</td>
<td>custom_field_get_definition</td>
<td>&lt;boolean&gt;false</td>
</tr>
<tr>
<td>3</td>
<td>/var/www/mantisbt-2.25.2/core/helper_api.php</td>
<td>515</td>
<td>-</td>
<td>-</td>
<td>column_get_custom_field_column_name</td>
<td>&lt;boolean&gt;false</td>
</tr>
<tr>
<td>4</td>
<td>/var/www/mantisbt-2.25.2/manage_columns_inc.php</td>
<td>68</td>
<td>-</td>
<td>-</td>
<td>helper_get_columns_to_view</td>
<td>&lt;integer&gt;3, &lt;boolean&gt;false, &lt;integer&gt;0</td>
</tr>
<tr>
<td>5</td>
<td>/var/www/mantisbt-2.25.2/manage_config_columns_page.php</td>
<td>50</td>
<td>-</td>
<td>-</td>
<td>include</td>
<td>&lt;string&gt;'/var/www/mantisbt-2.25.2/manage_columns_inc.php'</td>
</tr>
</tbody></table></div></div></div></div>
</div>
</div>
<div class="clearfix"></div>
<div class="space-20"></div>
<div class="footer noprint">
<div class="footer-inner">
<div class="footer-content">
<div class="col-md-6 col-xs-12 no-padding">
<address>
<strong>Powered by <a href="https://www.mantisbt.org/" title="bug tracking software">MantisBT </a></strong> <br>
<small>Copyright © 2000 - 2021 MantisBT Team</small><br><small>Contact <a href="mailto:webmaster@example.com" title="Contact the webmaster via e-mail.">administrator</a> for assistance</small><br>
</address>
</div>
<div class="col-md-6 col-xs-12">
<div class="pull-right" id="powered-by-mantisbt-logo">
<a href="https://www.mantisbt.org/" title="Mantis Bug Tracker: a free and open source web based bug tracking system."><img src="Manage_Columns_error_1300_files/mantis_logo.png" alt="Powered by Mantis Bug Tracker: a free and open source web based bug tracking system." width="102" height="35"></a>
</div>
</div>
</div>
</div>
</div>
<a class="btn-scroll-up btn btn-sm btn-inverse display" id="btn-scroll-up" href="#">
<i class="fa fa-angle-double-up ace-icon icon-only bigger-110"></i>
</a>
</div>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/bootstrap-3.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/moment-with-locales-2.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/bootstrap-datetimepicker-4.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/typeahead.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/list-1.js"></script>
	<script type="text/javascript" src="Manage_Columns_error_1300_files/ace.js"></script>


</body></html>
muzicar88

muzicar88

2021-12-23 07:44

reporter   ~0066102

Last edited: 2021-12-23 07:47

I just found out one of our customers gets the same problem when viewing issues. He has only one project and is a Reporter in it. The only page that works for him is the Report Issue. View Issues and My View both throw this same error. At first I thought it might be something with permissions (altho highly unlikely) so I tried all the different Project Access Levels including Administrator as well as the global Access Level (put him as a global Administrator and its the same error). I then tested another user that has the same permissions on the same project as he does and it works normally without this error.
The interesting thing is also the fact that this project is one of those that does not have a problem when I view Manage Columns or when I Export to CSV.

Tried to reproduce this same error with this same user on 2.2.2 and it also works normally whereas it gets the same error on 2.2.3 and 2.25.2 so it seems its somehow connected.

Since this is now more than just an issue with managing columns and exporting issues I am thinking of reverting back to 2.2.2 since we've already been using 2.25.2 for almost a month now I cannot go back to the 2.2.2 backup as I would lose way too many issues. Is it safe to use this 211 schema on the 2.2.2 mantisbt? I tested it out a bit and everything I did worked without problems altho, as Ive seen now, I cant always be sure no matter how much I test.

Manage_Columns_2_25_2_error_1300_lpis.htm (23,424 bytes)   
<!DOCTYPE html>
<html><head>
	<meta http-equiv="Content-type" content="text/html; charset=UTF-8">
	<meta name="robots" content="noindex,follow">
	<title>My View</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/default.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/status_config.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/dropzone-5.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/bootstrap-3.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/font-awesome-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/fonts.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/bootstrap-datetimepicker-4.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/ace.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/ace-mantis.css">
	<link rel="stylesheet" type="text/css" href="Manage_Columns_2_25_2_error_1300_lpis_files/ace-skins.css">

	<link rel="shortcut icon" href="http://10.246.30.58/images/favicon.ico" type="image/x-icon">
	<link rel="search" type="application/opensearchdescription+xml" title=": full-text search" href="http://10.246.30.58/browser_search_plugin.php?type=text">
	<link rel="search" type="application/opensearchdescription+xml" title=": search by Issue Id" href="http://10.246.30.58/browser_search_plugin.php?type=id">
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/javascript_config.php"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/javascript_translations.php"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/jquery-2.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/dropzone-5.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/common.js"></script>
	<meta http-equiv="Refresh" content="1800; URL=http://10.246.30.58/my_view_page.php?refresh=true">

</head>
<body class="skin-3">
<style>
* { font-family: "Open Sans"; } 
h1, h2, h3, h4, h5 { font-family: "Open Sans"; } 
</style>
<div id="navbar" class="navbar navbar-default navbar-collapse navbar-fixed-top noprint"><div id="navbar-container" class="navbar-container"><button id="menu-toggler" type="button" class="navbar-toggle menu-toggler pull-left hidden-lg hidden-md" data-target="#sidebar"><span class="sr-only">Toggle sidebar</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span></button><div class="navbar-header"><a href="http://10.246.30.58/my_view_page.php" class="navbar-brand"><span class="smaller-75">  </span></a><button type="button" class="navbar-toggle navbar-toggle collapsed pull-right hidden-sm hidden-md hidden-lg" data-toggle="collapse" data-target=".navbar-buttons,.navbar-menu"><span class="sr-only">Toggle user menu</span><i class="fa fa-user ace-icon fa-2x white"></i> </button></div><div class="navbar-buttons navbar-header navbar-collapse collapse"><ul class="nav ace-nav"><li class="hidden-sm hidden-xs"><div class="btn-group btn-corner padding-right-8 padding-left-8"><a class="btn btn-primary btn-sm" href="http://10.246.30.58/bug_report_page.php"><i class="fa fa-edit "></i> Report Issue</a></div></li>
<li class="grey" id="dropdown_projects_menu">
<a data-toggle="dropdown" href="#" class="dropdown-toggle">
&nbsp;project-LPIS&nbsp;
<i class="fa fa-angle-down ace-icon bigger-110"></i>
</a>
<ul id="projects-list" class=" dropdown-menu dropdown-menu-right dropdown-yellow dropdown-caret dropdown-close">
<li><div class="projects-searchbox" style="display: none;"><input class="search form-control input-md" placeholder="Search"></div></li>
<li class="divider"></li>
<li><div class="scrollable-menu">
<ul class="list dropdown-yellow no-margin"><li><a class="project-link" href="http://10.246.30.58/set_project.php?project_id=0">All Projects</a></li><li class="divider"></li><li class="active"><a class="project-link" href="http://10.246.30.58/set_project.php?project_id=55">project-LPIS</a></li><li><a class="project-link" href="http://10.246.30.58/set_project.php?project_id=84">test_import</a></li></ul>
</div>
</li>
</ul>
</li>
<li class="grey"><a data-toggle="dropdown" href="#" class="dropdown-toggle"><i class="fa fa-user ace-icon fa-2x white"></i> <span class="user-info">username</span><i class="fa fa-angle-down ace-icon"></i></a><ul class="user-menu dropdown-menu dropdown-menu-right dropdown-yellow dropdown-caret dropdown-close"><li><a href="http://10.246.30.58/account_page.php"><i class="fa fa-user ace-icon"></i> My Account</a></li><li><a href="http://10.246.30.58/issues_rss.php?username=username&amp;key=RF4z-2mFkuODWV6ykjJig6NRJ3doDu6AlUDEioIjKN6K8GI_0w6iO3a26WSxwl2Gle9ZFoywAl5UOb1GqAe2&amp;project_id=55"><i class="fa fa-rss-square orange ace-icon"></i> RSS</a></li><li class="divider"></li><li><a href="http://10.246.30.58/logout_page.php"><i class="fa fa-sign-out ace-icon"></i> Logout</a></li></ul></li></ul></div></div></div><div class="main-container" id="main-container" style="padding-top: 45px;">
<div id="sidebar" class="sidebar sidebar-fixed responsive compact menu-min"><ul class="nav nav-list"><li class="active">
<a href="http://10.246.30.58/my_view_page.php">
<i class="fa fa-dashboard menu-icon"></i>
<span class="menu-text"> My View </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.58/view_all_bug_page.php">
<i class="fa fa-list-alt menu-icon"></i>
<span class="menu-text"> View Issues </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.58/bug_report_page.php">
<i class="fa fa-edit menu-icon"></i>
<span class="menu-text"> Report Issue </span>
</a>
<b class="arrow"></b>
</li>
<li>
<a href="http://10.246.30.58/roadmap_page.php">
<i class="fa fa-road menu-icon"></i>
<span class="menu-text"> Roadmap </span>
</a>
<b class="arrow"></b>
</li>
</ul><div id="sidebar-btn" class="sidebar-toggle sidebar-collapse"><i data-icon2="ace-icon fa fa-angle-double-right" data-icon1="ace-icon fa fa-angle-double-left" class="ace-icon fa fa-angle-double-right"></i></div></div><div class="main-content">
<div id="breadcrumbs" class="breadcrumbs noprint">
<ul class="breadcrumb">
  <li><i class="fa fa-user home-icon active"></i>  <a href="http://10.246.30.58/account_page.php">username ( Username ) </a>
  <span class="label hidden-xs label-default arrowed">reporter</span></li>
</ul>
<div class="nav-recent hidden-xs">Recently Visited: <a href="http://10.246.30.58/view.php?id=14903" title="[new] Failed calls to google maps api crashes the digitiser">0014903</a>, <a href="http://10.246.30.58/view.php?id=14900" title="[closed] Failed calls to google maps api crashes the digitiser" class="resolved">0014900</a>, <a href="http://10.246.30.58/view.php?id=14902" title="[closed] Failed calls to google maps api crashes the digitiser" class="resolved">0014902</a>, <a href="http://10.246.30.58/view.php?id=14901" title="[closed] Failed calls to google maps api crashes the digitiser" class="resolved">0014901</a>, <a href="http://10.246.30.58/view.php?id=14696" title="[closed] update land_parcels_gdv  &amp;  LAND_PARCEL_DRAFTS_GDV views" class="resolved">0014696</a></div><div id="nav-search" class="nav-search"><form class="form-search" method="post" action="/jump_to_bug.php"><span class="input-icon"><input type="text" name="bug_id" autocomplete="off" class="nav-search-input" placeholder="Issue #"><i class="fa fa-search ace-icon nav-search-icon"></i></span></form></div>
</div>
  <div class="page-content">
<div class="row">
<div class="col-md-12 col-xs-12"><div class="space-20"></div>
<div class="alert alert-danger">
<p class="bold">APPLICATION ERROR #1300</p>
<p>Custom field not found.</p>
<div class="error-info">Please use the "Back" button in your web browser
 to return to the previous page. There you can correct whatever problems
 were identified in this error or select another action. You can also 
click an option from the menu bar to go directly to a new section.</div>
	<div class="error-details">
		<hr>
		<h2>Detailed error information</h2>
		<ul>
			<li>Full path:
				<span class="code">
					/var/www/mantisbt-2.25.2/core/custom_field_api.php				</span>
			</li>
			<li>Line number:
				<span class="code">122</span>
			</li>
		</ul>
	</div>
	<h3>Stack trace</h3>
		<div class="table-responsive">
			<table class="table table-bordered table-striped table-condensed">
				<tbody><tr>
					<th>#</th>
					<th>Filename</th>
					<th>Line</th>
					<th>Class</th>
					<th>Type</th>
					<th>Function</th>
					<th>Args</th>
				</tr>
<tr>
<td>0</td>
<td>/var/www/mantisbt-2.25.2/core/custom_field_api.php</td>
<td>122</td>
<td>-</td>
<td>-</td>
<td>trigger_error</td>
<td>&lt;string&gt;'1300', &lt;integer&gt;256</td>
</tr>
<tr>
<td>1</td>
<td>/var/www/mantisbt-2.25.2/core/custom_field_api.php</td>
<td>924</td>
<td>-</td>
<td>-</td>
<td>custom_field_cache_row</td>
<td>&lt;boolean&gt;false</td>
</tr>
<tr>
<td>2</td>
<td>/var/www/mantisbt-2.25.2/core/columns_api.php</td>
<td>359</td>
<td>-</td>
<td>-</td>
<td>custom_field_get_definition</td>
<td>&lt;boolean&gt;false</td>
</tr>
<tr>
<td>3</td>
<td>/var/www/mantisbt-2.25.2/core/helper_api.php</td>
<td>515</td>
<td>-</td>
<td>-</td>
<td>column_get_custom_field_column_name</td>
<td>&lt;boolean&gt;false</td>
</tr>
<tr>
<td>4</td>
<td>/var/www/mantisbt-2.25.2/core/filter_api.php</td>
<td>2308</td>
<td>-</td>
<td>-</td>
<td>helper_get_columns_to_view</td>
<td>&lt;integer&gt;1</td>
</tr>
<tr>
<td>5</td>
<td>/var/www/mantisbt-2.25.2/core/classes/BugFilterQuery.class.php</td>
<td>1699</td>
<td>-</td>
<td>-</td>
<td>filter_get_visible_sort_properties_array</td>
<td>&lt;array&gt; { ['_version'] =&gt; 'v9', ['_view_type'] =&gt; 
'simple', ['category_id'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, 
['severity'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['status'] =&gt; 
&lt;array&gt; { [0] =&gt; 0 }, ['highlight_changed'] =&gt; 6, 
['reporter_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['handler_id'] 
=&gt; &lt;array&gt; { [0] =&gt; -2 }, ['project_id'] =&gt; &lt;array&gt;
 { [0] =&gt; 55 }, ['resolution'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['build'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, ['version'] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, ['hide_status'] =&gt; &lt;array&gt; { 
[0] =&gt; 90 }, ['monitor_user_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 },
 ['sort'] =&gt; 'last_updated', ['dir'] =&gt; 'DESC', ['per_page'] =&gt;
 50, ['match_type'] =&gt; 0, ['platform'] =&gt; &lt;array&gt; { [0] 
=&gt; '0' }, ['os'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, ['os_build'] 
=&gt; &lt;array&gt; { [0] =&gt; '0' }, ['fixed_in_version'] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, ['target_version'] =&gt; &lt;array&gt; {
 [0] =&gt; '0' }, ['profile_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['priority'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['note_user_id'] =&gt;
 &lt;array&gt; { [0] =&gt; 0 }, ['sticky'] =&gt; true, 
['filter_by_date'] =&gt; false, ['start_month'] =&gt; '12', 
['end_month'] =&gt; '12', ['start_day'] =&gt; 1, ['end_day'] =&gt; '23',
 ['start_year'] =&gt; '2021', ['end_year'] =&gt; '2021', 
['filter_by_last_updated_date'] =&gt; false, 
['last_updated_start_month'] =&gt; '12', ['last_updated_end_month'] 
=&gt; '12', ['last_updated_start_day'] =&gt; 1, ['last_updated_end_day']
 =&gt; '23', ['last_updated_start_year'] =&gt; '2021', 
['last_updated_end_year'] =&gt; '2021', ['search'] =&gt; '', 
['view_state'] =&gt; 0, ['tag_string'] =&gt; '', ['tag_select'] =&gt; 0,
 ['relationship_type'] =&gt; -1, ['relationship_bug'] =&gt; 0, 
['custom_fields'] =&gt; &lt;array&gt; { [34] =&gt; &lt;array&gt; { [0] 
=&gt; '0' }, [2] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [3] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [4] =&gt; &lt;array&gt; { [0] =&gt; '0'
 }, [5] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [6] =&gt; &lt;array&gt; {
 [0] =&gt; '0' }, [7] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [9] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [10] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [13] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [14] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [15] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [17] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [18] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [19] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [20] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [21] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [22] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [23] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [24] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [25] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [26] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [27] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [28] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [29] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [30] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [31] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [32] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [33] =&gt; 
&lt;array&gt; { [0] =&gt; '0' } } }</td>
</tr>
<tr>
<td>6</td>
<td>/var/www/mantisbt-2.25.2/core/classes/BugFilterQuery.class.php</td>
<td>355</td>
<td>BugFilterQuery</td>
<td>-&gt;</td>
<td>build_order_by</td>
<td>-</td>
</tr>
<tr>
<td>7</td>
<td>/var/www/mantisbt-2.25.2/core/classes/BugFilterQuery.class.php</td>
<td>227</td>
<td>BugFilterQuery</td>
<td>-&gt;</td>
<td>string_query_list</td>
<td>-</td>
</tr>
<tr>
<td>8</td>
<td>/var/www/mantisbt-2.25.2/core/classes/BugFilterQuery.class.php</td>
<td>206</td>
<td>BugFilterQuery</td>
<td>-&gt;</td>
<td>build_query</td>
<td>-</td>
</tr>
<tr>
<td>9</td>
<td>/var/www/mantisbt-2.25.2/core/classes/BugFilterQuery.class.php</td>
<td>191</td>
<td>BugFilterQuery</td>
<td>-&gt;</td>
<td>set_query_type</td>
<td>&lt;integer&gt;0</td>
</tr>
<tr>
<td>10</td>
<td>/var/www/mantisbt-2.25.2/core/filter_api.php</td>
<td>1120</td>
<td>BugFilterQuery</td>
<td>-&gt;</td>
<td>__construct</td>
<td>&lt;array&gt; { ['_version'] =&gt; 'v9', ['_view_type'] =&gt; 
'simple', ['category_id'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, 
['severity'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['status'] =&gt; 
&lt;array&gt; { [0] =&gt; 0 }, ['highlight_changed'] =&gt; 6, 
['reporter_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['handler_id'] 
=&gt; &lt;array&gt; { [0] =&gt; -2 }, ['project_id'] =&gt; &lt;array&gt;
 { [0] =&gt; 55 }, ['resolution'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['build'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, ['version'] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, ['hide_status'] =&gt; &lt;array&gt; { 
[0] =&gt; 90 }, ['monitor_user_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 },
 ['sort'] =&gt; 'last_updated', ['dir'] =&gt; 'DESC', ['per_page'] =&gt;
 50, ['match_type'] =&gt; 0, ['platform'] =&gt; &lt;array&gt; { [0] 
=&gt; '0' }, ['os'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, ['os_build'] 
=&gt; &lt;array&gt; { [0] =&gt; '0' }, ['fixed_in_version'] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, ['target_version'] =&gt; &lt;array&gt; {
 [0] =&gt; '0' }, ['profile_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['priority'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['note_user_id'] =&gt;
 &lt;array&gt; { [0] =&gt; 0 }, ['sticky'] =&gt; true, 
['filter_by_date'] =&gt; false, ['start_month'] =&gt; '12', 
['end_month'] =&gt; '12', ['start_day'] =&gt; 1, ['end_day'] =&gt; '23',
 ['start_year'] =&gt; '2021', ['end_year'] =&gt; '2021', 
['filter_by_last_updated_date'] =&gt; false, 
['last_updated_start_month'] =&gt; '12', ['last_updated_end_month'] 
=&gt; '12', ['last_updated_start_day'] =&gt; 1, ['last_updated_end_day']
 =&gt; '23', ['last_updated_start_year'] =&gt; '2021', 
['last_updated_end_year'] =&gt; '2021', ['search'] =&gt; '', 
['view_state'] =&gt; 0, ['tag_string'] =&gt; '', ['tag_select'] =&gt; 0,
 ['relationship_type'] =&gt; -1, ['relationship_bug'] =&gt; 0, 
['custom_fields'] =&gt; &lt;array&gt; { [34] =&gt; &lt;array&gt; { [0] 
=&gt; '0' }, [2] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [3] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [4] =&gt; &lt;array&gt; { [0] =&gt; '0'
 }, [5] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [6] =&gt; &lt;array&gt; {
 [0] =&gt; '0' }, [7] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [9] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [10] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [13] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [14] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [15] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [17] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [18] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [19] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [20] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [21] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [22] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [23] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [24] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [25] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [26] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [27] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [28] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [29] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [30] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [31] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [32] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [33] =&gt; 
&lt;array&gt; { [0] =&gt; '0' } } }, &lt;array&gt; { ['query_type'] 
=&gt; 0, ['project_id'] =&gt; NULL, ['user_id'] =&gt; NULL, 
['use_sticky'] =&gt; NULL }</td>
</tr>
<tr>
<td>11</td>
<td>/var/www/mantisbt-2.25.2/my_view_inc.php</td>
<td>243</td>
<td>-</td>
<td>-</td>
<td>filter_get_bug_rows</td>
<td>&lt;integer&gt;1, &lt;integer&gt;10, &lt;NULL&gt;NULL, 
&lt;NULL&gt;NULL, &lt;array&gt; { ['_version'] =&gt; 'v9', 
['_view_type'] =&gt; 'simple', ['category_id'] =&gt; &lt;array&gt; { [0]
 =&gt; '0' }, ['severity'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['status'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['highlight_changed'] 
=&gt; 6, ['reporter_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['handler_id'] =&gt; &lt;array&gt; { [0] =&gt; -2 }, ['project_id'] 
=&gt; &lt;array&gt; { [0] =&gt; 55 }, ['resolution'] =&gt; &lt;array&gt;
 { [0] =&gt; 0 }, ['build'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, 
['version'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, ['hide_status'] =&gt;
 &lt;array&gt; { [0] =&gt; 90 }, ['monitor_user_id'] =&gt; &lt;array&gt;
 { [0] =&gt; 0 }, ['sort'] =&gt; 'last_updated', ['dir'] =&gt; 'DESC', 
['per_page'] =&gt; 50, ['match_type'] =&gt; 0, ['platform'] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, ['os'] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, ['os_build'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, 
['fixed_in_version'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, 
['target_version'] =&gt; &lt;array&gt; { [0] =&gt; '0' }, ['profile_id']
 =&gt; &lt;array&gt; { [0] =&gt; 0 }, ['priority'] =&gt; &lt;array&gt; {
 [0] =&gt; 0 }, ['note_user_id'] =&gt; &lt;array&gt; { [0] =&gt; 0 }, 
['sticky'] =&gt; true, ['filter_by_date'] =&gt; false, ['start_month'] 
=&gt; '12', ['end_month'] =&gt; '12', ['start_day'] =&gt; 1, ['end_day']
 =&gt; '23', ['start_year'] =&gt; '2021', ['end_year'] =&gt; '2021', 
['filter_by_last_updated_date'] =&gt; false, 
['last_updated_start_month'] =&gt; '12', ['last_updated_end_month'] 
=&gt; '12', ['last_updated_start_day'] =&gt; 1, ['last_updated_end_day']
 =&gt; '23', ['last_updated_start_year'] =&gt; '2021', 
['last_updated_end_year'] =&gt; '2021', ['search'] =&gt; '', 
['view_state'] =&gt; 0, ['tag_string'] =&gt; '', ['tag_select'] =&gt; 0,
 ['relationship_type'] =&gt; -1, ['relationship_bug'] =&gt; 0, 
['custom_fields'] =&gt; &lt;array&gt; { [34] =&gt; &lt;array&gt; { [0] 
=&gt; '0' }, [2] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [3] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [4] =&gt; &lt;array&gt; { [0] =&gt; '0'
 }, [5] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [6] =&gt; &lt;array&gt; {
 [0] =&gt; '0' }, [7] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [9] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [10] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [13] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [14] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [15] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [17] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [18] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [19] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [20] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [21] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [22] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [23] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [24] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [25] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [26] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [27] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [28] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [29] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [30] =&gt; 
&lt;array&gt; { [0] =&gt; '0' }, [31] =&gt; &lt;array&gt; { [0] =&gt; 
'0' }, [32] =&gt; &lt;array&gt; { [0] =&gt; '0' }, [33] =&gt; 
&lt;array&gt; { [0] =&gt; '0' } } }</td>
</tr>
<tr>
<td>12</td>
<td>/var/www/mantisbt-2.25.2/my_view_page.php</td>
<td>153</td>
<td>-</td>
<td>-</td>
<td>include</td>
<td>&lt;string&gt;'/var/www/mantisbt-2.25.2/my_view_inc.php'</td>
</tr>
</tbody></table></div></div></div></div>
</div>
</div>
<div class="clearfix"></div>
<div class="space-20"></div>
<div class="footer noprint">
<div class="footer-inner">
<div class="footer-content">
<div class="col-md-6 col-xs-12 no-padding">
<address>
<strong>Powered by <a href="https://www.mantisbt.org/" title="bug tracking software">MantisBT </a></strong> <br>
<small>Copyright © 2000 - 2021 MantisBT Team</small><br><small>Contact <a href="mailto:webmaster@example.com" title="Contact the webmaster via e-mail.">administrator</a> for assistance</small><br>
</address>
</div>
<div class="col-md-6 col-xs-12">
<div class="pull-right" id="powered-by-mantisbt-logo">
<a href="https://www.mantisbt.org/" title="Mantis Bug Tracker: a free and open source web based bug tracking system."><img src="Manage_Columns_2_25_2_error_1300_lpis_files/footer_logo.png" alt="Powered by Mantis Bug Tracker: a free and open source web based bug tracking system." width="" height=""></a>
</div>
</div>
</div>
</div>
</div>
<a class="btn-scroll-up btn btn-sm btn-inverse display" id="btn-scroll-up" href="#">
<i class="fa fa-angle-double-up ace-icon icon-only bigger-110"></i>
</a>
</div>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/bootstrap-3.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/moment-with-locales-2.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/bootstrap-datetimepicker-4.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/typeahead.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/list-1.js"></script>
	<script type="text/javascript" src="Manage_Columns_2_25_2_error_1300_lpis_files/ace.js"></script>


</body></html>
dregad

dregad

2021-12-23 09:22

developer   ~0066103

Thanks for the stack traces. In all 3 cases, I see a call to helper_get_columns_to_view(), followed by column_get_custom_field_column_name(false). The latter call's argument should not be false, but a custom field ID, which implies that Mantis was not able to find the configured custom field (i.e. call to custom_field_get_id_from_name() failed).

This issue definitely seems to have been introduced by the commit I referenced earlier in 0029413:0066097 (see 0022555).

Can you provide:

  • Your configured columns for CSV export (csv_columns), for all users and the current project (and you may want to check the same for view_issues_page_columns in your customer's case)
    SELECT * FROM mantis_config_table WHERE config_id = 'csv_columns' AND user_id = 0; (or the corresponding value in your config_inc.php)
  • your custom fields names
    SELECT id, name FROM mantis_custom_field_table

Is it safe to use this 211 schema on the 2.2.2 mantisbt?

Definitely not recommended or supported...
In this case, I believe you might get some regression issues with attachments added since the upgrade, due to the introduction of note-level attachments in 2.23.0 (schema step 210).

muzicar88

muzicar88

2021-12-23 09:55

reporter   ~0066104

One of the project where I as admin have problems with Export to CSV and Manage Columns is project 41 - attached csv columns. Also attached csv columns for all users (user_id=0). The project 55 is where user 389 has problems with View Issues and Manage Columns as described in my previous note.

csv_columns_all_users.txt (4,479 bytes)   
+-------------+------------+---------+-------------+------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| config_id   | project_id | user_id | access_reqd | type | value

                                                          |
+-------------+------------+---------+-------------+------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| csv_columns |          0 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","duplicate_id","custom_priority1","status","resolution","category_id","date_submitted","last_updated","summary","sponsorship_total","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_entry type","reproducibility"]
                                                          |
| csv_columns |         12 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","custom_priority1","status","resolution","category_id","date_submitted","last_updated","summary","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_Entry type","reproducibility"]
                                                          |
| csv_columns |         20 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","duplicate_id","status","resolution","category_id","date_submitted","last_updated","summary","sponsorship_total","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_entry type","reproducibility"]
                                                          |
| csv_columns |         35 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","custom_priority1","status","resolution","category_id","date_submitted","last_updated","summary","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","reproducibility","custom_Entry type"]
                                                          |
| csv_columns |         41 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","duplicate_id","status","resolution","category_id","date_submitted","last_updated","summary","sponsorship_total","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_priority1","custom_entry type","reproducibility","custom_out of scope","custom_critical","custom_severity cadastru","custom_severity sinergise"] |
| csv_columns |         55 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","custom_severity2","custom_priority1","custom_test cycle","status","resolution","category_id","date_submitted","last_updated","summary","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_build date","reproducibility","custom_Entry type"]
                                                          |
| csv_columns |         80 |       0 |          90 |    3 | ["selection","edit","id","sponsorship_total","bugnotes_count","category_id","severity","status","last_updated","summary","custom_Delivered","custom_out of scope"]
                                                          |
+-------------+------------+---------+-------------+------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
csv_columns_all_users.txt (4,479 bytes)   
csv_columns_project_41.txt (2,044 bytes)   
+-------------+------------+---------+-------------+------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| config_id   | project_id | user_id | access_reqd | type | value

                                                          |
+-------------+------------+---------+-------------+------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| csv_columns |         41 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","duplicate_id","status","resolution","category_id","date_submitted","last_updated","summary","sponsorship_total","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_priority1","custom_entry type","reproducibility","custom_out of scope","custom_critical","custom_severity cadastru","custom_severity sinergise"] |
+-------------+------------+---------+-------------+------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
csv_columns_project_41.txt (2,044 bytes)   
csv_columns_project_55.txt (3,325 bytes)   
+-------------+------------+---------+-------------+------+-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| config_id   | project_id | user_id | access_reqd | type | value

                                                                    |
+-------------+------------+---------+-------------+------+-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| csv_columns |         55 |       0 |          90 |    3 | ["id","project_id","reporter_id","handler_id","custom_severity2","custom_priority1","custom_test cycle","status","resolution","category_id","date_submitted","last_updated","summary","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_build date","reproducibility","custom_Entry type"]
                                                                    |
| csv_columns |         55 |      51 |          90 |    3 | ["id","project_id","reporter_id","handler_id","duplicate_id","custom_severity2","custom_priority1","custom_test cycle","status","resolution","category_id","date_submitted","last_updated","summary","sponsorship_total","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_entry type","custom_build date","reproducibility"]                                               |
| csv_columns |         55 |     386 |          90 |    3 | ["id","project_id","reporter_id","handler_id","duplicate_id","severity","priority","reproducibility","status","resolution","category_id","date_submitted","last_updated","os","os_build","platform","version","fixed_in_version","target_version","view_state","summary","sponsorship_total","steps_to_reproduce","additional_information","attachment_count","bugnotes_count","selection","overdue","custom_entry type","custom_chased"] |
| csv_columns |         55 |     389 |          90 |    3 | ["id","project_id","reporter_id","status","resolution","date_submitted","last_updated","summary","description","custom_severity2"]

                                                                    |
+-------------+------------+---------+-------------+------+-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
csv_columns_project_55.txt (3,325 bytes)   
csv_columns_user_389.txt (968 bytes)   
+-------------+------------+---------+-------------+------+------------------------------------------------------------------------------------------------------------------------------------+
| config_id   | project_id | user_id | access_reqd | type | value                                                                                                                              |
+-------------+------------+---------+-------------+------+------------------------------------------------------------------------------------------------------------------------------------+
| csv_columns |         55 |     389 |          90 |    3 | ["id","project_id","reporter_id","status","resolution","date_submitted","last_updated","summary","description","custom_severity2"] |
+-------------+------------+---------+-------------+------+------------------------------------------------------------------------------------------------------------------------------------+
csv_columns_user_389.txt (968 bytes)   
custom_fields_names.txt (1,616 bytes)   
+----+----------------------------------------+
| id | name                                   |
+----+----------------------------------------+
| 34 | Ugovor                                 |
|  2 | Tip vnosa                              |
|  3 | Porocevalec                            |
|  4 | Modul                                  |
|  5 | Obrazec                                |
|  6 | Entry type                             |
|  7 | LAVIMS Module                          |
|  9 | Version                                |
| 10 | Reporter                               |
| 13 | Time spent for support/development (h) |
| 14 | Estimated time                         |
| 15 | priority1                              |
| 17 | Tip zadeve                             |
| 18 | Ocena obsega izvedbe (ur)              |
| 19 | Predviden zaključek izvedbe            |
| 20 | Responsible partner                    |
| 21 | JIRA Ticket ID                         |
| 22 | test cycle                             |
| 23 | severity2                              |
| 24 | build date                             |
| 25 | severity cadastru                      |
| 26 | severity sinergise                     |
| 27 | critical                               |
| 28 | out of scope                           |
| 29 | chased                                 |
| 30 | Release                                |
| 31 | Delivered                              |
| 32 | Entry                                  |
| 33 | priority_number                        |
+----+----------------------------------------+
custom_fields_names.txt (1,616 bytes)   
dregad

dregad

2021-12-23 12:18

developer   ~0066105

I notice a discrepancy in case between the csv_columns setting, and the actual custom field's name in the database, e.g. custom_entry type => Entry type and I'm wondering maybe if your database makes case sensitive comparisons.

What do you get from

select id from mantis_custom_field_table where binary name = 'entry type';
select id from mantis_custom_field_table where binary name = 'Entry type';

What collation do you have for mantis_custom_field_table.name ?

muzicar88

muzicar88

2021-12-23 12:39

reporter   ~0066106

Last edited: 2021-12-23 13:52

entry type does not exist whereas Entry type does and has the ID 6

So it is case sensitive. Should it not be?

Ah ok so since some projects have entry type instead of Entry type in csv_columns this could be the problem I guess. Although it does not explain the project 55 and user 389 problem then - that project has Entry type and the user doesn't even have that in the csv_columns and view_issues_page_columns.

muzicar88

muzicar88

2021-12-23 13:50

reporter   ~0066107

Last edited: 2021-12-23 13:50

The DB default charset is utf8 same goes for tables mantis_custom_field_table and mantis_config_table .

I also noticed I gave you the wrong info about the user 389.

Correct is:
| view_issues_page_columns | 55 | 389 | 90 | 3 | ["selection","id","sponsorship_total","bugnotes_count","category_id","custom_severity2","custom_test cycle","status","handler_id","custom_build date","custom_chased","summary","custom_delivered"] |

muzicar88

muzicar88

2021-12-23 15:13

reporter   ~0066108

Collation of mantis_custom_field_table is utf8_bin

dregad

dregad

2021-12-23 18:06

developer   ~0066109

So it is case sensitive. Should it not be?
Collation of mantis_custom_field_table is utf8_bin

Using utf8_bin does make the engine case sensitive, which triggered this issue. Using a case-sensitive collation is not necessarily wrong, but personally I've always used MySQL with utf8mb4_general_ci or utf8mb4_unicode_ci collation with Mantis (nowadays, utf8mb4_0900_ai_ci would probably be a better choice IMO), which explains why I never hit this problem before.

Short term, the easiest fix for you is probably to change mantis_custom_field_table.name column's collation to some case-insensitive setting.

You could also search through your configuration and replace any lowercase column names with the actual value as stored in the custom_field table, but the bug may come back and hit you later on should anyone enter a custom field name with mismatched case again.

For a more general and long-term solution, custom_field_get_id_from_name() function will have to be adapted to effectively return the id regardless of case. If there is a specific reason for you to keep using case sensitive collation, then you'll have to wait for a fix, or patch it yourself (pull requests welcome).

As a side note, following best practice you may also want to consider renaming your custom fields: use a valid PHP identifier as name as recommended and localization to set the display value.

About your user 389, this is the same problem but for a different field: custom_delivered => Delivered

dregad

dregad

2021-12-23 19:33

developer   ~0066110

The fix to custom_field_get_id_from_name() turned out to be quite straightforward, so I implemented it.

Please see PR https://github.com/mantisbt/mantisbt/pull/1788

@muzicar88 testing and feedback would be appreciated.

muzicar88

muzicar88

2021-12-23 19:49

reporter   ~0066111

I was actually thinking of converting it to utf8mb4_general_ci a while back when I went from 1.3 to 2.2.2 but for some reason I didnt do it - guess it managed bit me in the rear end after all :)

Regarding your side note - I will definetly give this to the project admins.

As for the fix - I implented it and so far all tests Ive done point to it solving the problem. Many thanks for the fast replies and a quick fix :)

Happy holidays!

Related Changesets

MantisBT: master-2.2 c612d8da

2017-03-22 20:45:46

cproensa


Committer: vboctor Details Diff
Fix lowercase custom field column names

Fix column names for custom field columns that may be stored as
lowercase in configuration. See issue 0017367
If the system was working fine with lowercase names, then database is
case-insensitive, eg: mysql.
Fix by forcing a search with current name to get the id, then get the
actual name by looking up this id.

Fixes: 0022555
Affected Issues
0017367, 0022555, 0029413
mod - core/bug_api.php Diff File
mod - core/columns_api.php Diff File
mod - core/helper_api.php Diff File

MantisBT: master-2.25 d7c5f12f

2021-12-23 19:11:35

dregad

Details Diff
Custom field id lookup by name now case-insensitive

The $g_cache_name_to_id_map now uses lowercase custom field names as key
which prevents APPLICATION ERROR 1300 Custom field not found when using
a case-sensitive database.

This is a follow-up on issue 0022555, which did not properly fix the
problem (see commit c612d8da318a95bd2d4b8d9b6b6f4329d12e86fa).

Fixes 0029413
Affected Issues
0022555, 0029413
mod - core/custom_field_api.php Diff File

MantisBT: master 1c4d1524

2021-12-23 19:11:35

dregad

Details Diff
Custom field id lookup by name now case-insensitive

The $g_cache_name_to_id_map now uses lowercase custom field names as key
which prevents APPLICATION ERROR 1300 Custom field not found when using
a case-sensitive database.

This is a follow-up on issue 0022555, which did not properly fix the
problem (see commit c612d8da318a95bd2d4b8d9b6b6f4329d12e86fa).

Fixes 0029413

Ported from master-2.25 branch commit 6b9f68333bb3b7df085fe3ef830e331de62c7f03,
replacing `if(isset())` construct by null-coalescing operator.
Affected Issues
0022555, 0029413
mod - core/custom_field_api.php Diff File